Reply

How to specified material with c#???

[ Edited ]

 

Hello jason!

Hi all!

I want to specified material with my program.

SolidEdgeFramework.Application SEApp1 = null;

SolidEdgeFramework.SolidEdgeDocument SEDoc1 = null;

SEApp1 = Marshal.GetActiveObject("SolidEdge.Application") as SolidEdgeFramework.Application;

SEDoc1 = SEApp1.ActiveDocument as SolidEdgeFramework.SolidEdgeDocument;

SolidEdgeFramework.MatTable Table_Materiel = SEApp1.GetMaterialTable();

Table_Materiel.ApplyMaterial(SEDoc1, comboBox1.Text);

After Run , have a error message

"The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG))"

please help!

 

Posted by: fat kids
Post date: 12/15/2009 9:00:18 PM

2 REPLIES

RE: How to specified material with c#???

[ Edited ]

Hi Fatids,

 

are you sure, that the comboBox1.text is in the MaterialTable ?

 

 

 

 

Posted by: JR
Post date: 1/10/2010 9:28:14 PM

RE: How to specified material with c#???

[ Edited ]

Thanks JR!

 

Posted by: fat kids
Post date: 2/3/2010 9:06:17 PM